View Issue Details

IDProjectCategoryView StatusLast Update
0004078unrealircdpublic2012-02-26 10:22
ReporternenolodAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.10-rc1 
Summary0004078: [feature] make NOSPOOF runtime configurable
Descriptionhi,

for code cleanliness reasons, we should make NOSPOOF runtime configurable. i will try to get a patch for this done in the next few days if nobody does it first.

should be pretty straightforward I imagine...
TagsNo tags attached.
3rd party modules

Relationships

child of 0003915 resolvedsyzop Unreal3.2.10 TODO 
child of 0004301 resolvedsyzop Unreal3.2.10 TODO 

Activities

syzop

2012-01-22 16:15

administrator   ~0016886

Sounds fine. Should default to on (hint: config_setdefaultsettings).

nenolod

2012-01-22 21:46

reporter  

unreal-dynconf-nospoof.patch (14,213 bytes)

nenolod

2012-01-22 21:46

reporter   ~0016898

Patch added!

syzop

2012-02-26 10:22

administrator   ~0016915

Thanks!

http://hg.unrealircd.com/hg/unreal/rev/475ef9dc97a0
- Moved nospoof to config file, suggested by and patch from nenolod (0004078).
  This means ping cookies are now controlled by set::ping-cookie [yes|no].
  The default is 'yes' (enabled).

Issue History

Date Modified Username Field Change
2012-01-22 10:09 nenolod New Issue
2012-01-22 16:15 syzop Note Added: 0016886
2012-01-22 16:15 syzop Status new => acknowledged
2012-01-22 21:46 nenolod File Added: unreal-dynconf-nospoof.patch
2012-01-22 21:46 nenolod Note Added: 0016898
2012-01-22 21:46 nenolod Status acknowledged => has patch
2012-02-08 11:29 syzop Relationship added child of 0003915
2012-02-26 10:22 syzop Note Added: 0016915
2012-02-26 10:22 syzop Status has patch => resolved
2012-02-26 10:22 syzop Fixed in Version => 3.2.10-rc1
2012-02-26 10:22 syzop Resolution open => fixed
2012-02-26 10:22 syzop Assigned To => syzop